<?php

/**
 * Poll List Class Definition File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

/**
 * Poll List Class Definition
 *
 * @package LikePoll
 * @subpackage Core
 */
class PollList {

    private $polls;
    private $pageNum = 1;
    private $startRow = 0;
    private $numRows = 10;
    private $totalRows;
    private $lastPage = 0;
    private $showApproved = 0;
    private $unapprovedCount = 0;
    private $retrieveSql;

    public function getPolls() {
        $this->retrieveSql = "select * from poll where active = " . $this->showApproved . " order by createdate desc limit " . $this->startRow . "," . $this->numRows;
        $this->retrievePolls();
        return $this->polls;
    }

    public function getPollsByCategory($catid) {
        $this->retrieveSql = "select * from poll p, poll_category_lookup l where l.categoryid = " . $catid . " and p.pollid = l.pollid and p.active = " . $this->showApproved . " order by p.createdate desc limit " . $this->startRow . "," . $this->numRows;
        $this->retrievePolls();
        return $this->polls;
    }

    public function getPollsByPopularity() {
        $this->retrieveSql = "select * from poll p, poll_category_lookup l where p.pollid = l.pollid and p.active = " . $this->showApproved . " order by p.votes desc limit " . $this->startRow . "," . $this->numRows;
        $this->retrievePolls();
        return $this->polls;
    }

    public function getLastPage() {
        return $this->lastPage;
    }

    public function getUnapprovedCount() {
        $this->retrieveUnapprovedCount();
        return $this->unapprovedCount;
    }

    public function setPageNum($pagenum) {
        $this->pageNum = $pagenum;
        $this->startRow = ($pagenum * $this->numRows) - $this->numRows;
    }

    public function setNumRows($numrows) {
        $this->numRows = $numrows;
    }

    public function setShowApproved($showapproved) {
        $this->showApproved = $showapproved;
    }

    public function __construct() {
        
    }

    public function retrievePolls() {

        global $db;

        $sql = $this->retrieveSql;
        $result = mysql_query($sql, $db);

        $itemcount = 0;

        if ($myrow = mysql_fetch_array($result)) {

            do {

                $temppoll = new Poll();

                $tempitemid = $myrow["pollid"];

                $temppoll->retrievePollByPollId($tempitemid);

                $this->polls[$itemcount] = $temppoll;

                $itemcount++;
            } while ($myrow = mysql_fetch_array($result));
        }

        $sql = "select pollid from poll where active = " . $this->showApproved;
        $result = mysql_query($sql, $db);
        $this->numRows = mysql_num_rows($result);

        if (($this->startRow + 10) < $this->numRows) {
            $this->lastPage = 0;
        } else {
            $this->lastPage = 1;
        }
    }

    private function retrieveUnapprovedCount() {

        global $db;

        $sql = "select pollid from poll where active = 0";
        $result = mysql_query($sql, $db);

        $this->unapprovedCount = mysql_num_rows($result);
    }

}

?>