<?php

/**
 * LikeView Class Definition File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */
/**
 * LikeView Class Definition
 *
 * @package LikePoll
 * @subpackage Core
 */
include('./classes/objects/poll.php');
include('./classes/objects/choice.php');

class LikeView {

    private $pollId;
    private $choiceId;
    private $poll;
    private $choice;
    private $pageTitle;
    private $pageImage;

    public function getPoll() {
        return $this->poll;
    }

    public function getChoice($choice) {
        return $this->choice[$choice];
    }

    public function getPageTitle() {
        return $this->pageTitle;
    }

    public function getPageImage() {
        return $this->pageImage;
    }

    public function __construct($pollid, $likeid) {
        $this->pollId = $pollid;
        $this->choiceId = $likeid;
    }

    public function initPollByPollId() {
        $this->poll = new Poll();
        $this->poll->retrievePollByPollId($this->pollId);

        $this->generatePageTitle();
    }

    private function generatePageTitle() {

        if ($this->choiceId == $this->poll->getSingleChoice(0)->getChoiceId()) {
            $this->pageTitle = $this->poll->getSingleChoice(0)->getChoice() . " more than " . $this->poll->getSingleChoice(1)->getChoice();
        } else {
            $this->pageTitle = $this->poll->getSingleChoice(1)->getChoice() . " more than " . $this->poll->getSingleChoice(0)->getChoice();
        }
    }

}

?>